Bug 24092 - ICE building Kerberos 5 on Alpha
Summary: ICE building Kerberos 5 on Alpha
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-16 05:32 UTC by Nalin Dahyabhai
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-17 10:51:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
intermediate file (98.26 KB, text/plain)
2001-01-16 05:34 UTC, Nalin Dahyabhai
no flags Details

Description Nalin Dahyabhai 2001-01-16 05:32:15 UTC
gcc -DHAVE_SYS_SELECT_H=1 -DHAVE_TIME_H=1 -DHAVE_UNISTD_H=1
-DHAVE_STDLIB_H=1 -DLSBFIRST=1 -DSIZEOF_INT=4 -DBITS32=1
-DKRB4_USE_KEYTAB=1 -DHAVE_STRDUP=1 -DHAVE_SETEUID=1 -DHAVE_SETREUID=1
-DHAVE_SETRESUID=1     -I./../../include/kerberosIV -DKRB5_KRB4_COMPAT
-I../../include -I./../../include -I../../include/krb5
-I./../../include/krb5  -mieee -mcpu=ev5 -ggdb -fPIC -c g_ad_tkt.c
--save-temps -v -O2
Reading specs from /usr/lib/gcc-lib/alpha-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
 /usr/lib/gcc-lib/alpha-redhat-linux/2.96/cpp0 -lang-c -v
-I./../../include/kerberosIV -I../../include -I./../../include
-I../../include/krb5 -I./../../include/krb5 -D__GNUC__=2
-D__GNUC_MINOR__=96 -D__GNUC_PATCHLEVEL__=0 -Dlinux -Dunix -D_LONGLONG
-D__alpha__ -D__ELF__ -D__linux__ -D__unix__ -D_LONGLONG -D__alpha__
-D__ELF__ -D__linux -D__unix -Asystem(linux) -D__OPTIMIZE__ -ggdb
-D__LANGUAGE_C__ -D__LANGUAGE_C -DLANGUAGE_C -D_IEEE_FP -Acpu(alpha)
-Amachine(alpha) -D__alpha -D__alpha__ -D__alpha_ev5__ -Acpu(ev5)
-DHAVE_SYS_SELECT_H=1 -DHAVE_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1
-DLSBFIRST=1 -DSIZEOF_INT=4 -DBITS32=1 -DKRB4_USE_KEYTAB=1 -DHAVE_STRDUP=1
-DHAVE_SETEUID=1 -DHAVE_SETREUID=1 -DHAVE_SETRESUID=1 -DKRB5_KRB4_COMPAT
g_ad_tkt.c g_ad_tkt.i
GNU CPP version 2.96 20000731 (Red Hat Linux 7.0) (cpplib)
 (Alpha GNU/Linux for ELF)
ignoring nonexistent directory "/usr/local/include"
ignoring nonexistent directory "/usr/alpha-redhat-linux/include"
ignoring duplicate directory "../../include"
ignoring duplicate directory "../../include/krb5"
#include "..." search starts here:
#include <...> search starts here:
 ../../include/kerberosIV
 ../../include
 ../../include/krb5
 /usr/lib/gcc-lib/alpha-redhat-linux/2.96/include
 /usr/include
End of search list.
 /usr/lib/gcc-lib/alpha-redhat-linux/2.96/cc1 g_ad_tkt.i -quiet -dumpbase
g_ad_tkt.c -mieee -mcpu=ev5 -ggdb -O2 -version -fPIC -o g_ad_tkt.s
GNU C version 2.96 20000731 (Red Hat Linux 7.0) (alpha-redhat-linux)
compiled by GNU C version 2.96 20000731 (Red Hat Linux 7.0).
g_ad_tkt.c: In function `get_ad_tkt':
g_ad_tkt.c:195: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Comment 1 Nalin Dahyabhai 2001-01-16 05:34:17 UTC
Created attachment 7668 [details]
intermediate file

Comment 2 Jakub Jelinek 2001-01-17 10:51:09 UTC
This is the famous alpha_expand_block_move I've fixed 5 days ago, it will
make it into -71 soon.


Note You need to log in before you can comment on or make changes to this bug.